<?php

namespace Devurai\AcceptbluePaymentPro\DTOs;

class BaseDTO
{
    protected array $response;
    public function __construct($response)
    {
        $this->response = $response ?? array();
    }

    public function isNull($value): bool
    {
        return $value === 'null';
    }

    public function isApproved(): bool
    {
        $code = $this->response['status_code'] ?? 'null';
        return $code === "A";
    }
}